For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate an action
      • POSTCreate several actions
      • GETGet all actions for the space
      • GETGet an action
      • PATCHUpdate an action
      • DELDelete an action
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceActions

Get an action

GET
https://api.x.flatfile.com/v1/actions/:actionId
GET
/v1/actions/:actionId
$curl https://api.x.flatfile.com/v1/actions/actionId \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "data": {
3 "createdAt": "2024-01-15T09:30:00Z",
4 "id": "id",
5 "label": "label",
6 "targetId": "targetId",
7 "updatedAt": "2024-01-15T09:30:00Z",
8 "confirm": true,
9 "constraints": [
10 {
11 "type": "hasAllValid",
12 "ignoreSelection": true
13 },
14 {
15 "type": "hasAllValid",
16 "ignoreSelection": true
17 }
18 ],
19 "createdFrom": "createdFrom",
20 "deletedAt": "2024-01-15T09:30:00Z",
21 "description": "description",
22 "guardrail": {
23 "content": "content"
24 },
25 "guide": {
26 "content": "content"
27 },
28 "icon": "icon",
29 "inputForm": {
30 "type": "simple",
31 "fields": [
32 {
33 "key": "key",
34 "label": "label",
35 "type": "type",
36 "description": "description",
37 "defaultValue": {
38 "key": "value"
39 },
40 "config": {
41 "options": []
42 },
43 "constraints": []
44 },
45 {
46 "key": "key",
47 "label": "label",
48 "type": "type",
49 "description": "description",
50 "defaultValue": {
51 "key": "value"
52 },
53 "config": {
54 "options": []
55 },
56 "constraints": []
57 }
58 ]
59 },
60 "invalidConditionalMessaging": true,
61 "invalidRecordsMessage": "invalidRecordsMessage",
62 "lastPropagatedAt": "2024-01-15T09:30:00Z",
63 "messages": [
64 {
65 "type": "error",
66 "content": "content"
67 },
68 {
69 "type": "error",
70 "content": "content"
71 }
72 ],
73 "mode": "foreground",
74 "mount": {
75 "type": "sheet",
76 "slugs": [
77 "slugs",
78 "slugs"
79 ]
80 },
81 "operation": "operation",
82 "primary": true,
83 "schedule": "weekly",
84 "tooltip": "tooltip",
85 "type": "type",
86 "validRecordsMessage": "validRecordsMessage",
87 "requireAllValid": true,
88 "requireSelection": true,
89 "slug": "slug"
90 }
91}
Was this page helpful?
Previous

Update an action

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

actionIdstringRequired
The id of the action to return

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject